Themes
Create Theme
Create a new theme.
POST
Create Theme
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new theme.
curl --request POST \
--url https://api.oviond.com/v1/themes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Dark Corporate",
"tokens": {},
"cover_page": {
"pattern_id": "<string>",
"bg_image_url": "<string>",
"title": "<string>",
"subtitle": "<string>",
"widgets": []
},
"thank_you_page": {
"pattern_id": "<string>",
"bg_image_url": "<string>",
"title": "<string>",
"subtitle": "<string>",
"widgets": []
},
"is_default": true
}
'{
"success": true,
"data": {
"id": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request POST \
--url https://api.oviond.com/v1/themes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Dark Corporate",
"tokens": {},
"cover_page": {
"pattern_id": "<string>",
"bg_image_url": "<string>",
"title": "<string>",
"subtitle": "<string>",
"widgets": []
},
"thank_you_page": {
"pattern_id": "<string>",
"bg_image_url": "<string>",
"title": "<string>",
"subtitle": "<string>",
"widgets": []
},
"is_default": true
}
'{
"success": true,
"data": {
"id": "<string>"
}
}